CREATE TABLE action ( 
      id Integer,
      refreader Integer,
      portout Integer,
      elapse Integer,
      reftime Integer,
      name Char( 30 )) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'action',
   'action.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'action', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'actionfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'action', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'actionfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'action', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'actionfail');

CREATE TABLE event ( 
      refreader Integer,
      portin Integer,
      refaction Integer,
      reftime Integer) IN DATABASE;
EXECUTE PROCEDURE sp_ModifyTableProperty( 'event', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'eventfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'event', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'eventfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'event', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'eventfail');

      
CREATE TABLE holiday ( 
      day Date,
      refgroup Integer,
      reftime Integer,
      SYS_NEW Integer) IN DATABASE; 
      
           
EXECUTE PROCEDURE sp_ModifyTableProperty( 'holiday', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'holidayfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'holiday', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'holidayfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'holiday', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'holidayfail');
   
CREATE TABLE time ( 
      id AutoInc,
      weekdays Char( 7 ),
      timestart Time,
      timeend Time,
      SYS_NEW Integer) IN DATABASE;

EXECUTE PROCEDURE sp_CreateIndex( 
   'time',
   'time.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'time', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'timefail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'time', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'timefail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'time', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'timefail');

CREATE TABLE location ( 
      id Integer,
      refgroup Integer,
      reftime Integer,
      reftimenopin Integer,
      SYS_NEW Integer) IN DATABASE;
     
EXECUTE PROCEDURE sp_CreateIndex( 
   'location',
   'location.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'location', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'locationfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'location', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'locationfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'location', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'locationfail');

CREATE TABLE identification ( 
      id Char( 20 ),
      [group] Integer,
      pin Char( 8 ),
      menace Integer,
      activestart Date,
      activeend Date,
      activegeneral Integer,
      SYS_NEW Integer) IN DATABASE;

EXECUTE PROCEDURE sp_CreateIndex( 
   'identification',
   'identification.adi',
   'GROUP',
   'group',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'identification', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'identificationfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'identification', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'identificationfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'identification', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'identificationfail');

CREATE TABLE TmTypen ( 
      id Integer,
      Bezeichnung Char( 30 ),
      Tastatur Logical,
      pict Integer) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'TmTypen',
   'TmTypen.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'TmTypen', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'TmTypenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'TmTypen', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'TmTypenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'TmTypen', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'TmTypenfail');

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'TmTypen', 
      'pict', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'TmTypenfail' ); 

CREATE TABLE raum ( 
      raumname Char( 40 ),
      raumid AutoInc) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'raum',
   'raum.adi',
   'ID',
   'raumid',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'raum', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'raumfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'raum', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'raumfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'raum', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'raumfail');

CREATE TABLE gruppen ( 
      Gruppenname Char( 30 ),
      id AutoInc) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'gruppen',
   'gruppen.adi',
   'GRUPPENNAME',
   'Gruppenname',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_CreateIndex( 
   'gruppen',
   'gruppen.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'gruppen', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'gruppenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'gruppen', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'gruppenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'gruppen', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'gruppenfail');

CREATE TABLE reader ( 
      id AutoInc,
      zm Integer,
      tm Char( 3 ),
      reflocation Integer,
      refaction Integer,
      pingeneral Char( 8 ),
      typ Integer,
      busnr Integer,
      anschlussart Integer,
      qu_indexnr Integer) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'reader',
   'reader.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_CreateIndex( 
   'reader',
   'reader.adi',
   'ZM',
   'zm;busnr',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'reader', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'readerfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'reader', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'readerfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'reader', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'readerfail');

CREATE TABLE personen ( 
      Name Char( 30 ),
      Vorname Char( 30 ),
      Pid Char( 20 ),
      pin Integer,
      menace Integer) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'personen',
   'personen.adi',
   'PID',
   'Pid',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_CreateIndex( 
   'personen',
   'personen.adi',
   'NAME',
   'Name;Vorname',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'personen', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'personenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'personen', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'personenfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'personen', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'personenfail');

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'personen', 
      'pin', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'personenfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'personen', 
      'menace', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'personenfail' ); 

CREATE TABLE master ( 
      Zutrittsmaster Char( 30 ),
      id AutoInc,
      stationname Char( 40 ),
      stationref Char( 16 ),
      leser Integer,
      sys_new Integer,
      qu_stationname Char( 40 ),
      updates Logical,
      reader Integer,
      identification Integer,
      action Integer,
      location Integer,
      time Integer,
      event Integer,
      holiday Integer) IN DATABASE;
EXECUTE PROCEDURE sp_CreateIndex( 
   'master',
   'master.adi',
   'ID',
   'id',
   '',
   2,
   512); 


EXECUTE PROCEDURE sp_ModifyTableProperty( 'master', 
   'Table_Auto_Create', 
   'False', 'APPEND_FAIL', 'masterfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'master', 
   'Table_Permission_Level', 
   '2', 'APPEND_FAIL', 'masterfail');

EXECUTE PROCEDURE sp_ModifyTableProperty( 'master', 
   'Triggers_Disabled', 
   'False', 'APPEND_FAIL', 'masterfail');

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'sys_new', 'Field_Can_Be_Null', 
      'False', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'sys_new', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'reader', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'identification', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'action', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'location', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'time', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'event', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

EXECUTE PROCEDURE sp_ModifyFieldProperty ( 'master', 
      'holiday', 'Field_Default_Value', 
      '0', 'APPEND_FAIL', 'masterfail' ); 

insert into TmTypen values (0,'TS TMR33-L',true,0);
insert into TmTypen values (1,'TS TMR33-TM',false,1);
insert into TmTypen values (2,'TS TMR33-LTM',true,2);
insert into TmTypen values (-1,'ZK-Master',false,3);
insert into TmTypen values (-2,'PZE-Master',false,4);
insert into TmTypen values (-3,'AE-Master',true,5);
